
QGIS Application - Feature request #1522

Zoom to Next functionality

2009-01-31 03:18 PM - Maxim Dubinin

Status: Closed

Priority: Low

Assignee: Gary Sherman

Category: GUI

Pull Request or Patch supplied: Resolution: fixed

Easy fix?: No Copied to github as #: 11582

Description

we've developed a patch to add Zoom to Next functionality and extend

current Zoom to Last, basically it adds new button to couple current

Zoom to Last and adds memory of 20 extents to both. Tested and working

good on Linux.

As this involved API change, should also be reflected in doc? python bindings?

probably modification of the preferences is needed too, to allow altering number of saved extents

History

#1 - 2009-01-31 05:22 PM - Maxim Dubinin

sip.zip - patch for C++ and python bindings, please check.

#2 - 2009-04-15 11:04 PM - Gary Sherman

- Status changed from Open to In Progress

I have applied this patch in my local development branch. Once feature freeze is lifted in trunk, I will commit it.

#3 - 2009-04-17 11:07 PM - Gary Sherman

- Resolution set to fixed

- Status changed from In Progress to Closed

#4 - 2009-08-22 01:02 AM - Anonymous

Milestone Version 1.0.2 deleted

Files

patch.txt 7.76 KB 2009-01-31 Maxim Dubinin

mActionZoomNext.png 2.07 KB 2009-01-31 Maxim Dubinin

sip.zip 1.87 KB 2009-01-31 Maxim Dubinin
